.ifndef _stelnet_inc_
_stelnet_inc_=yes

USE_SSL=yes
USE_FWTK=yes
USE_SKEY=yes
USE_CRYPT=yes

CFLAGS += -DAUTHENTICATION -DENCRYPTION 

.-include "../Makefile.inc"

# one or more of these might exist
.-include "Makefile.${MACHINE}.inc"
.-include "Makefile.${HOST_OS}.inc"
.-include "Makefile.${host_os}.inc"
.-include "Makefile.${HOST_TARGET}.inc"

MKMAN=no
MKPIC=no
MKPROFILE=no
STRIP?=

TELNETSRC ?= ${SRCTOP}/stelnet

CFLAGS += -I${TELNETSRC}

.if defined(LIBFWTK) && exists(${LIBFWTK})
CFLAGS+= -Dauth_send=tn_auth_send -DUSE_FWTK
.endif

HOST_LIBS += curses ncurses util termcap ssl crypto
LIBTERM ?= ${LIBTERMCAP}

# no -Werror
W_error =

.endif

